## procalc 0.1

=== Makefile ===

DESTDIR ?= 
PYMODULES ?= $(DESTDIR)/usr/lib/pymodules/python2.5
DESKTOP ?= $(DESTDIR)/usr/share/applications/hildon
ICONS ?= $(DESTDIR)/usr/share/icons/hicolor
PREFIX ?= $(DESTDIR)/usr/bin
PYVERSION ?= 2.5

compile:
	python$(PYVERSION) -O -m compileall ./procalc

install: compile
	install -o root -g root -m 0755 ./procalc.py $(PREFIX)/procalc
	install -o root -g root -m 0755 -d $(PYMODULES)/procalc
	for f in `find ./procalc -name "*.pyo"`; do \
		install -o root -g root -m 0644 $$f $(PYMODULES)/$$f; done
	install -o root -g root -m 0644 ./menu/procalc.desktop $(DESKTOP)/procalc.desktop
	for r in 128 64 48 32; do \
		install -o root -g root -m 0644 ./menu/icons/procalc-$$r.png $(ICONS)/$${r}x$${r}/apps/procalc.png; done
	-gtk-update-icon-cache -f $(ICONS)

uninstall:
	rm -rf $(PYMODULES)/procalc
	rm -f $(PREFIX)/procalc
	rm -f $(DESKTOP)/procalc.desktop
	rm -f $(ICONS)/*/procalc.png

clean:
	find . -name "*.py[co]" | xargs rm -f 

debclean: clean
	rm -rf .pc debian/patches debian/procalc debian/procalc.*

tarball:
	VERSION=`git describe --tags HEAD || git rev-parse --short HEAD`; \
	git archive --format=tar HEAD | gzip -9 > ../procalc_$$VERSION.orig.tar.gz

.PHONY: compile install clean debclean uninstall tarball

## procalc 0.2

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	find . -name "*.py[co]" | xargs rm -f 
 
 debclean: clean
-	rm -rf .pc debian/patches debian/procalc debian/procalc.*
+	rm -rf .pc debian/patches debian/files debian/procalc debian/procalc.*
 
 tarball:
 	VERSION=`git describe --tags HEAD || git rev-parse --short HEAD`; \

=== debian/changelog ===
procalc (0.2-1) unstable; urgency=low

  * Next release:

    Konstantin Stepanov (5):
          makefile: remove debian/files
          deb section set to user/utilities according maemo policy
          automatic orientation with accelerometer control
          autobase support (set base to last used base)
          mode name "Automatic (keyboard)" -> "Automatic (slider)"


 -- Konstantin Stepanov <kstep@p-nut.info>  Thu, 13 Jan 2011 19:56:08 +0200

procalc (0.1-1) unstable; urgency=low

  * Initial release

 -- Konstantin Stepanov <kstep@p-nut.info>  Tue, 11 Jan 2011 14:01:59 +0200

=== debian/control ===
Source: procalc
Section: user/utilities
Priority: extra
Maintainer: Konstantin Stepanov <kstep@p-nut.info>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5)
Standards-Version: 3.8.4
Homepage: http://github.com/kstep/procalc
#Vcs-Git: git://git.debian.org/collab-maint/procalc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/procalc.git;a=summary

Package: procalc
Architecture: all
Depends: python (>= 2.5), python-hildon, python-gtk2, python-gobject, python-dbus
Description: Programmer's RPN calculator with bitwise operations
 Has all main bitwise operations (like and, or, not etc.),
 supports binary, octal, hexadecimal and decimal numbers
 representation (works with floating point numbers), raw number
 and exponential views to give insight on inner machine
 representation of a number, complex numbers support etc.

## procalc 0.3

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	for f in `find ./procalc -name "*.pyo"`; do \
 		install -o root -g root -m 0644 $$f $(PYMODULES)/$$f; done
 	install -o root -g root -m 0644 ./menu/procalc.desktop $(DESKTOP)/procalc.desktop
+	cd ./i18n && $(MAKE) install DESTDIR=$(DESTDIR)
 	for r in 128 64 48 32; do \
 		install -o root -g root -m 0644 ./menu/icons/procalc-$$r.png $(ICONS)/$${r}x$${r}/apps/procalc.png; done
 	-gtk-update-icon-cache -f $(ICONS)
@@ -27,6 +28,7 @@
 
 clean:
 	find . -name "*.py[co]" | xargs rm -f 
+	cd ./i18n && $(MAKE) clean
 
 debclean: clean
 	rm -rf .pc debian/patches debian/files debian/procalc debian/procalc.*

=== debian/changelog ===
procalc (0.3-1) unstable; urgency=low

  * Next release:

    Konstantin Stepanov (15):
          autobase interface and config option
          desktop file: categories and version options fixed
          basic i18n files
          localization (WIP)
          gitignore pot & mo files
          localization: makefile install
          makefiles: i18n clean target
          menu i18n & l10n
          translation domain search
          lists instead of tuples for menu labels
          i18n files update
          buttons reordered in a nicer way
          autobase setup and notifications are more robust
          ops: trigs, consts, lists, mod, inv
          modified shunting yard algo to sort ops on the stack

 -- Konstantin Stepanov <kstep@p-nut.info>  Sat, 15 Jan 2011 16:40:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Konstantin Stepanov <kstep@p-nut.info>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5)
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5), gettext
 Standards-Version: 3.8.4
 Homepage: http://github.com/kstep/procalc
 #Vcs-Git: git://git.debian.org/collab-maint/procalc.git

## procalc 0.3.1

=== Makefile ===

DESTDIR ?= 
I18N ?= $(DESTDIR)/usr/share/locale

compile: en/LC_MESSAGES/procalc.mo ru/LC_MESSAGES/procalc.mo

procalc.pot: ../procalc/*.py
	pygettext -p . -d procalc ../procalc

ru/LC_MESSAGES/procalc.po en/LC_MESSAGES/procalc.po: procalc.pot
	test -e $@ && msgmerge -U $@ procalc.pot || msginit -i procalc.pot -l $(subst /LC_MESSAGES/procalc.po,,$@) -o $@

en/LC_MESSAGES/procalc.mo: en/LC_MESSAGES/procalc.po
	msgfmt -o $@ $<

ru/LC_MESSAGES/procalc.mo: ru/LC_MESSAGES/procalc.po
	msgfmt -o $@ $<

install: compile
	for f in `find . -name procalc.mo`; do \
		install -o root -g root -m 0644 $$f $(I18N)/$$f; done

clean:
	rm -f ./procalc.pot ./ru/LC_MESSAGES/procalc.mo ./en/LC_MESSAGES/procalc.mo

.PHONY: compile clean install

=== debian/changelog ===
procalc (0.3.1-1) unstable; urgency=low

  * Next release:

    Konstantin Stepanov (1):
          clear operations substack as well as main stack

 -- Konstantin Stepanov <kstep@p-nut.info>  Sat, 15 Jan 2011 17:21:59 +0200
